class VideoTemplate {
    container;
    constructor(container) {
        this.container = container;
    }
    render(src) {
        const videoEl = document.createElement('video');
        videoEl.setAttribute('src', src);
        videoEl.autoplay = false;
        videoEl.controls = true;
        videoEl.muted = false;
        videoEl.height = 240;
        videoEl.width = 320;
        this.container.append(videoEl);
    }
}

const Greeter = (src) => {
    const videoContainer = document.getElementById('vid-container');
    console.log('video container', videoContainer);
    const videoDiv = new VideoTemplate(videoContainer);
    videoDiv.render(src);
};

export { Greeter };
//# sourceMappingURL=index.js.map
